Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class XmlPluginDescriptorReader

    java.lang.Object
      org.codehaus.groovy.grails.plugins.XmlPluginDescriptorReader

All Implemented Interfaces:
  PluginDescriptorReader

    public class XmlPluginDescriptorReader
    extends java.lang.Object

Reads plugin information from the plugin.xml descriptor.

Authors:
  Graeme Rocher

Since:
  1.3

Constructor Summary
`XmlPluginDescriptorReader(PluginBuildSettings pluginSettings)`

Method Summary
`GrailsPluginInfo` | `readPluginInfo(Resource pluginDescriptor)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### XmlPluginDescriptorReader

    public XmlPluginDescriptorReader(PluginBuildSettings pluginSettings)

Method Detail

### readPluginInfo

    public GrailsPluginInfo readPluginInfo(Resource pluginDescriptor)

Groovy Documentation